## guilt 0.25

=== Makefile ===
PREFIX=/usr/local

SCRIPTS = guilt \
	  $(wildcard guilt-*)

.PHONY: all 
all: doc
	@echo "Nothing to build, it is all bash :)"
	@echo "Try make install"

.PHONY: install
install:
	install -d $(PREFIX)/bin/
	install -m 755 $(SCRIPTS) $(PREFIX)/bin/

.PHONY: uninstall
uninstall:
	./uninstall $(PREFIX)/bin/ $(SCRIPTS)

.PHONY: doc
doc:
	$(MAKE) -C Documentation all

.PHONY: install-doc
install-doc:
	$(MAKE) -C Documentation install PREFIX=$(PREFIX)

.PHONY: test
test:
	make -C regression all

.PHONY: clean
clean: 
	$(MAKE) -C Documentation clean

=== Documentation/Makefile ===
MAN1_TXT= $(wildcard guilt-*.txt)
MAN7_TXT=guilt.txt

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT))

DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))
DOC_MAN7=$(patsubst %.txt,%.7,$(MAN7_TXT))

USAGE=$(patsubst %.txt,usage-%.txt,$(MAN1_TXT))

prefix?=$(PREFIX)
bindir?=$(prefix)/bin
htmldir?=$(prefix)/html
mandir?=$(prefix)/man
man1dir=$(mandir)/man1
man7dir=$(mandir)/man7
# DESTDIR=

ASCIIDOC=asciidoc
ASCIIDOC_EXTRA =
INSTALL?=install
DOC_REF = origin/man

all: html man

html: $(DOC_HTML)

$(DOC_HTML) $(DOC_MAN1) $(DOC_MAN7): asciidoc.conf

man: man1 man7
man1: $(DOC_MAN1)
man7: $(DOC_MAN7)

install: man
	$(INSTALL) -d -m755 $(DESTDIR)$(man1dir) $(DESTDIR)$(man7dir)
	$(INSTALL) -m644 $(DOC_MAN1) $(DESTDIR)$(man1dir)
	$(INSTALL) -m644 $(DOC_MAN7) $(DESTDIR)$(man7dir)

install-html: html
	$(INSTALL) -m644 $(DOC_HTML) $(DESTDIR)$(htmldir)

#
# Determine "include::" file references in asciidoc files.
#
doc.dep : $(wildcard *.txt) build-docdep.perl
	rm -f $@+ $@
	perl ./build-docdep.perl >$@+
	mv $@+ $@

-include doc.dep

version.txt:
	echo "(Generated for Guilt `git-describe`)" > version.txt

cmds.txt: cmd-list.sh $(MAN1_TXT)
	sh ./cmd-list.sh

guilt.7 guilt.html: guilt.txt footer.txt version.txt

clean:
	rm -f *.xml *.html *.1 *.7 doc.dep
	rm -f cmds.txt
	rm -f usage-*.txt
	rm -f version.txt

usage-%.txt: $(MAN1_TXT) usage.sh
	sh ./usage.sh

%.html : %.txt footer.txt version.txt
	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<

%.1 %.7 : %.xml
	xmlto -m callouts.xsl man $<

%.xml : %.txt footer.txt version.txt
	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<

=== regression/Makefile ===
.PHONY: all
all:
	(for x in *.sh ; do sh $$x || exit $?; done)

## guilt 0.28

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX=/usr/local
 
 SCRIPTS = guilt \
-	  $(wildcard guilt-*)
+	  $(filter-out $(wildcard *~),$(wildcard guilt-*))
 
 .PHONY: all 
 all: doc

=== regression/Makefile ===
.PHONY: all
all:
	set -e; $(foreach x,$(wildcard *.sh),./$x;)

## guilt 0.33

=== Makefile ===
PREFIX=/usr/local
DESTDIR=

SCRIPTS = guilt \
	  $(filter-out $(wildcard *~),$(wildcard guilt-*))

.PHONY: all 
all: doc
	@echo "Nothing to build, it is all bash :)"
	@echo "Try make install"

.PHONY: install
install:
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 $(SCRIPTS) $(DESTDIR)$(PREFIX)/bin/

.PHONY: uninstall
uninstall:
	./uninstall $(DESTDIR)$(PREFIX)/bin/ $(SCRIPTS)

.PHONY: doc
doc:
	$(MAKE) -C Documentation all

.PHONY: install-doc
install-doc:
	$(MAKE) -C Documentation install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

.PHONY: test
test:
	make -C regression all

.PHONY: clean
clean: 
	$(MAKE) -C Documentation clean

## guilt 0.35

=== Documentation/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 DOC_MAN7=$(patsubst %.txt,%.7,$(MAN7_TXT))
 
 USAGE=$(patsubst %.txt,usage-%.txt,$(MAN1_TXT))
+VERSION=$(shell git describe 2> /dev/null || sed -n -e '/^GUILT_VERSION=/ { s/^GUILT_VERSION="/v/; s/"//; p; q; }' ../guilt)
 
 prefix?=$(PREFIX)
 bindir?=$(prefix)/bin
@@ -50,7 +51,7 @@
 -include doc.dep
 
 version.txt:
-	echo "(Generated for Guilt `git-describe`)" > version.txt
+	echo "(Generated for Guilt $(VERSION))" > version.txt
 
 cmds.txt: cmd-list.sh $(MAN1_TXT)
 	sh ./cmd-list.sh
@@ -73,4 +74,4 @@
 	xmlto -m callouts.xsl man $<
 
 %.xml : %.txt footer.txt version.txt
-	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<
+	$(ASCIIDOC) -b docbook -a version=$(VERSION) -d manpage -f asciidoc.conf $<

=== debian/changelog ===
guilt (0.35-1.2ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Run regression test suite.
    - Take a patch from fedora to "workaround" the test-suite with git 1.8.
    - Add autopkgtest to test against current git.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 05 Aug 2013 13:35:12 +0100

guilt (0.35-1.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Fix unneeded conflict against git >= 1.8 by dropping the (for Debian)
    unneeded in-program git version check as suggested by Jonathan Nieder
    in #589708 (Closes: #692884)
  * Reorder alternative dependencies: prefer git over transitional package
    git-core.
  * Set Homepage header to http://repo.or.cz/w/guilt.git (Closes: #692883)
  * Fix man-page path for "guilt help" (Closes: #712620; LP #1191821)

 -- Axel Beckert <abe@debian.org>  Tue, 18 Jun 2013 01:21:57 +0200

guilt (0.35-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update maintainer email address (Closes: #698259)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 20 Jan 2013 18:32:26 +0000

guilt (0.35-1ubuntu2) raring; urgency=low

  * And actually drop strict git version Depends.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 11 Nov 2012 22:12:31 +0000

guilt (0.35-1ubuntu1) raring; urgency=low

  * Run regression test suite.
  * Take a patch from fedora to "workaround" the test-suite with git 1.8.
  * Drop git version checks.
  * Add autopkgtest to test against current git.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 10 Nov 2012 14:09:15 +0000

guilt (0.35-1) unstable; urgency=low

  * New upstream release. 
  * Bump Standards-Version to 3.9.2; no changes required.
  * Update copyright.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Refresh patches.

 -- Iulian Udrea <iulian@linux.com>  Fri, 05 Aug 2011 22:31:35 +0100

guilt (0.34-2) unstable; urgency=low

  * Upload to unstable.

 -- Iulian Udrea <iulian@linux.com>  Sun, 06 Feb 2011 15:51:36 +0000

guilt (0.34-1) experimental; urgency=low

  * New upstream release.
    + patchbomb: add some patch formatting options to the CLI (upstream commit
    f833954a61ff01e09e0c)
    + Make sure the commit time is increasing (upstream commit
    429c3a5303616ec3229f)
  * debian/{control,copyright}: change my email address.

 -- Iulian Udrea <iulian@linux.com>  Thu, 23 Sep 2010 11:07:52 +0100

guilt (0.33-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes required).
  * Add depends on git (<< 1:1.8).  Thanks Jonathan for the patch.  Closes:
    #589708

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 01 Aug 2010 15:32:06 +0100

guilt (0.33-1) unstable; urgency=low

  * New upstream release.
    + Add support for git version 1.7.x.y.  Closes: #576937

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 19 Apr 2010 11:09:06 +0100

guilt (0.32.2-2) unstable; urgency=low

  * debian/control:
    - Add Dm-Upload-Allowed: yes.
    - Bump Standards-Version to 3.8.4 (no changes required).

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 05 Mar 2010 19:51:53 +0000

guilt (0.32.2-1) unstable; urgency=low

  * New upstream release.
    + guilt-import-commit doesn't support binary files (Closes: #563962)
  * debian/control:
    - bump Standards-Version to 3.8.3 (no changes required)
    - add ${misc:Depends}
  * Add README.source.

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 15 Jan 2010 14:05:11 +0000

guilt (0.32.1-1) unstable; urgency=low

  * New upstream release.
    - allow guilt to handle binary files
    - regression: fix output mismatch with git 1.6.2
    - select/guard: fix bashism (Closes: #530094)
  * debian/control:
    - bump Standards-Version to 3.8.1 (no changes required)

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 30 May 2009 08:02:41 +0100

guilt (0.32-1) unstable; urgency=low

  * New maintainer (Closes: #519020).
  * New upstream release.
    - drop bashisms patch as it's fixed upstream, commit 2ab56864 
    (Closes: #464983)
    - make guilt work even after git-sh-setup is moved out of the 
    user's path; upstream commit 7a6e2a53 (Closes: #501952)
    - docs: handle `git describe` failing; upstream commit e730f590 
    (Closes: #474628)
    - guilt-fold: merge headers of the 2 patches; upstream commit 10278340
    (Closes: #489884)
  * debian/control:
    - bump debhelper version to 7
    - bump Standards-Version to 3.8.0
      + add Homepage field
    - add Vcs-* fields
    - improve Description
    - package is architecture-independent
  * Completely rewritten the debian/rules file.
  * Switch to new debian/copyright format
    (http://wiki.debian.org/Proposals/CopyrightFormat).
  * Remove debian/dirs. Those directories are already created on every system.
  * Remove commented lines from debian/watch file.
  * Split debian/patches/makefile.patch into two patches: Makefile.patch and
    DocMakefile.patch.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 10 Mar 2009 20:10:30 +0000

guilt (0.30-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in guilt-patchbomb 
    (added debian/patches/bashisms) (Closes: #489606)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 24 Aug 2008 11:34:50 +0000

guilt (0.30-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <brandon@ifup.org>  Tue, 27 May 2008 07:49:27 -0700

guilt (0.28-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <philips@ifup.org>  Mon, 19 Nov 2007 15:44:02 -0800

guilt (0.27-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <brandon@ifup.org>  Wed, 01 Aug 2007 13:19:31 -0700

guilt (0.26-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <brandon@ifup.org>  Tue, 24 Jul 2007 08:32:44 -0700

guilt (0.25-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <brandon@ifup.org>  Tue, 15 May 2007 18:35:14 -0700

guilt (0.24-1) unstable; urgency=low

  * New upstream release

 -- Brandon Philips <brandon@ifup.org>  Mon, 23 Apr 2007 10:55:39 -0700



=== debian/control ===
Source: guilt
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Iulian Udrea <iulian.udrea@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), git
Build-Depends-Indep: asciidoc (>> 7.0.2-3), xmlto, libexpat1-dev
Standards-Version: 3.9.2
XS-Testsuite: autopkgtest
Homepage: http://repo.or.cz/w/guilt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/guilt.git
Vcs-Git: git://git.debian.org/git/collab-maint/guilt.git

Package: guilt
Architecture: all
Depends: ${misc:Depends}, git (>= 1:1.7) | git-core (>= 1.4)
Description: quilt for git; similar to Mercurial queues
 Guilt (Git Quilt) is a series of bash scripts which add a Mercurial
 queues-like functionality and interface to git.  The one distinguishing
 feature from other quilt-like porcelains, is the format of the patches
 directory. 
 .
 All the information is stored as plain text - a series file and the 
 patches (one per file). This easily lends itself to versioning the patches
 using any number of SCMs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- install install-doc

=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/kernel/people/jsipek/guilt/guilt-(.*)\.tar\.gz

## guilt 0.36

=== Documentation/Makefile ===
--- 
+++ 
@@ -20,7 +20,9 @@
 ASCIIDOC=asciidoc
 ASCIIDOC_EXTRA =
 INSTALL?=install
-DOC_REF = origin/man
+XMLTO=xmlto
+XMLTO_EXTRA = --skip-validation
+PERL=perl
 
 all: html man
 
@@ -38,6 +40,7 @@
 	$(INSTALL) -m644 $(DOC_MAN7) $(DESTDIR)$(man7dir)
 
 install-html: html
+	$(INSTALL) -d -m755 $(DESTDIR)$(htmldir)
 	$(INSTALL) -m644 $(DOC_HTML) $(DESTDIR)$(htmldir)
 
 #
@@ -45,7 +48,7 @@
 #
 doc.dep : $(wildcard *.txt) build-docdep.perl
 	rm -f $@+ $@
-	perl ./build-docdep.perl >$@+
+	$(PERL) ./build-docdep.perl >$@+
 	mv $@+ $@
 
 -include doc.dep
@@ -58,20 +61,22 @@
 
 guilt.7 guilt.html: guilt.txt footer.txt version.txt
 
+guilt.xml: cmds.txt
+
 clean:
 	rm -f *.xml *.html *.1 *.7 doc.dep
 	rm -f cmds.txt
 	rm -f usage-*.txt
 	rm -f version.txt
 
-usage-%.txt: $(MAN1_TXT) usage.sh
-	sh ./usage.sh
+usage-guilt-%.txt: ../guilt-% usage.sh
+	sh ./usage.sh $<
 
 %.html : %.txt footer.txt version.txt
 	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<
 
 %.1 %.7 : %.xml
-	xmlto -m callouts.xsl man $<
+	$(XMLTO) -m callouts.xsl $(XMLTO_EXTRA) man $<
 
 %.xml : %.txt footer.txt version.txt
 	$(ASCIIDOC) -b docbook -a version=$(VERSION) -d manpage -f asciidoc.conf $<

=== debian/changelog ===
guilt (0.36-3) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Simon Chopin ]
  * d/p/fix-decorate.patch: adjust the test suite for new Git behavior.
    (Closes: #1023805, LP: #1993586)
  * d/control: Bump Standards-Version to 4.6.2, no changes needed
  * Bump debhelper compat to 13
    - d/rules: remove the --parallel, now redundant
    - d/p/makefile-quote-variables.patch: fix passing Makefile variables down
    - d/control: B-D on debhelper-compat
  * d/rules, d/control: respect the nodoc build profile
  * d/tests/upstream: replace deprecated $ADTTMP by $AUTOPKGTEST_TMP

  [ Graham Inggs ]
  * d/control: Set Rules-Requires-Root: no

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 12 Jan 2023 12:37:31 +0000

guilt (0.36-2) unstable; urgency=medium

  * QA upload.
  * Apply patch to fix test-suite changes with new git.
  * Add autopkgtest from ubuntu.
  * Add a patch to run as an autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 20 Aug 2017 23:41:37 +0100

guilt (0.36-1) unstable; urgency=medium

  * QA upload.
    + Package has been orphaned, see #834848.
    + Set Maintainer to Debian QA group.
    + Acknowledge NMUs.
  * Update Vcs-* headers to use https:// and cgit web interface.
  * Rework debian/copyright with the help of cme to comply with DEP-5.
    + Also update upstream URL to http://guilt.31bits.net/src/.
  * Bump debhelper compatibility to 9
    + Update versioned build-dependency on debhelper accordingly.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable regression test suite at build time.
    + Add patch to adapt testsuite to more recent git and dd versions.
    + Add build-dependency on git.
  * Overhaul debian/rules:
    + Switch to dh_auto_{build,install,clean}.
    + Finally switch to a minimal dh v7 style debian/rules file.
    + Enable parallel building.
  * Add patch to fix typo found by lintian in man page.
  * Apply wrap-and-sort.
  * Remove long-time obsolete alternative dependency on git-core.

 -- Axel Beckert <abe@debian.org>  Thu, 25 Aug 2016 00:29:18 +0200

guilt (0.36-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/find_-perm_+.diff: Use "find -perm /x" instead of "find
    -perm +x". Closes: 803026

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Dec 2015 14:30:25 +0100

guilt (0.36-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #796869).
  * debian/watch: Change URL to http://guilt.31bits.net/src.
  * Drop drop-dependency-check.patch; incorporated upstream.
  * Add build-arch and build-indep targets (policy version 3.9.4.0 §4.9).
  * debian/control: Drop obsolete DM-Upload-Allowed field (policy version
    3.9.5.0).
  * With this, raise Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 12 Nov 2015 23:40:38 +0100

=== debian/control ===
Source: guilt
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: asciidoc (>> 7.0.2-3) <!nodoc>,
                     git,
                     libexpat1-dev,
                     xmlto <!nodoc>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://repo.or.cz/w/guilt.git
Vcs-Browser: https://salsa.debian.org/debian/guilt
Vcs-Git: https://salsa.debian.org/debian/guilt.git

Package: guilt
Architecture: all
Depends: git (>= 1:1.7),
         ${misc:Depends}
Description: quilt for git; similar to Mercurial queues
 Guilt (Git Quilt) is a series of bash scripts which add a Mercurial
 queues-like functionality and interface to git.  The one distinguishing
 feature from other quilt-like porcelains, is the format of the patches
 directory.
 .
 All the information is stored as plain text - a series file and the
 patches (one per file). This easily lends itself to versioning the patches
 using any number of SCMs.

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,7 @@
 %:
 	dh $@
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_install:
 	dh_auto_install -- install install-doc
+endif

=== debian/tests/control ===
Tests: upstream
Depends: guilt, make, git, coreutils
